Skip to content
GAMPEONCreate
New project

Edit your comment

PATCH
/v1/comments/{id}
curl --request PATCH \
--url https://api.gampeon.com/v1/comments/1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "body": "example" }'

Not available with access tokens.

Rate limit: 120 changes per hour per account.

id
required
integer
>= 1

Comment ID

Media typeapplication/json
object
body
required

Up to 1,000 characters. Can be empty if the comment has a GIF

string
<= 1000 characters

Example generated

{
"body": "example"
}

Saved

Media typeapplication/json
object
id
required
integer
postId
required
integer
parentId
required
One of:

Top-level comment this replies to

integer
body
required

Plain text, up to 1,000 characters. Can be empty if there is a GIF

string
gif
required
One of:
object
id
required

GIF ID at KLIPY

string
title
required

Description from KLIPY, for alt text

string
url
required

Image path relative to the API (/v1/gifs/…/md)

string
width
required
integer
height
required
integer
provider
required

klipy. Show “via KLIPY” on the GIF

string
createdAt
required

Unix time in milliseconds

integer format: int64
editedAt
required
One of:

Unix time in milliseconds

integer format: int64
author
required
object
handle
required

Unique handle

string
/^[a-z0-9_]{3,24}$/
displayName
required
string
avatar
One of:

Image path relative to the API (/v1/media/…). null without an image.

string
mentions
required

Mentioned handles that exist (@handle in the text)

Array<string>
reactions
required
object
total
required

All reactions together

integer
top
required

Up to three most frequent reactions, most frequent first (for the icons)

Array<string>
Allowed values: like love haha wow sad angry
counts
required

Number per reaction, only reactions that occur

object
key
additional properties
integer
myReaction
required
One of:
string
Allowed values: like love haha wow sad angry
replyCount
required

Replies (top-level comments only)

integer
canEdit
required
boolean
canDelete
required

You wrote it or manage the post

boolean
removed
object
at
required

Unix time in milliseconds

integer format: int64
reason
required
One of:

Statement of reasons

string

Example

{
"reactions": {
"top": [
"like"
]
},
"myReaction": "like"
}

Error codes: invalid_field, too_many_links

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, forbidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: comment_removed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 120 changes per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback